from pydantic import BaseModel, Field
from datetime import datetime
from schemas.user import ShowDriver

class CreateFuelingTask(BaseModel):
    VehicleId: int = Field(...)
    Description: str = Field(...)
    Date: datetime = Field(...)
    Cost: int = Field(...)
    FuelRefilled: int = Field(...)
    GasStationName: str = Field(...)
    ImageBefore: str = Field(...)
    ImageAfter: str = Field(...)

class OutputFuelingTask(BaseModel):
    VehicleId: int = Field(...)
    Description: str = Field(...)
    Date: datetime = Field(...)
    Cost: int = Field(...)
    FuelRefilled: int = Field(...)
    GasStationName: str = Field(...)
    ImageBefore: str = Field(...)
    ImageAfter: str = Field(...)
    Driver: ShowDriver | None